import * as React from 'react';
// import Box from '@mui/material/Box';
import Card from '@mui/material/Card';
import CardActions from '@mui/material/CardActions';
import CardContent from '@mui/material/CardContent';
import Button from '@mui/material/Button';
import Typography from '@mui/material/Typography';
import Avatar from '@mui/material/Avatar';
import Checkbox from '@mui/material/Checkbox';
import { deepPurple } from '@mui/material/colors';

import List from '@mui/material/List';
import ListItem from '@mui/material/ListItem';
import ListItemButton from '@mui/material/ListItemButton';
import ListItemIcon from '@mui/material/ListItemIcon';
import ListItemText from '@mui/material/ListItemText';

function CheckboxesGroup(props) {

  const [checked, setChecked] = React.useState([0]);

  const handleToggle = (value) => () => {
    const currentIndex = checked.indexOf(value);
    const newChecked = [...checked];

    if (currentIndex === -1) {
      newChecked.push(value);
    } else {
      newChecked.splice(currentIndex, 1);
    }

    setChecked(newChecked);
  };

  return (
    <List sx={{ width: '100%', bgcolor: 'background.paper' }}>
      {props.quiz.map((value) => {
        const labelId = `checkbox-list-label-${value.id}`;
        return (
          <ListItem key={value.id}>
            <ListItemButton role={undefined} onClick={handleToggle(value)} dense>
              <ListItemText id={labelId} primary={value.nombre} />
              <ListItemIcon>
                <Checkbox
                  edge="start"
                  checked={checked.indexOf(value) !== -1}
                  tabIndex={-1}
                  disableRipple
                  inputProps={{ 'aria-labelledby': labelId }}
                  />
              </ListItemIcon>
              <ListItemIcon>
                <Checkbox
                  edge="start"
                  checked={false}
                  tabIndex={-1}
                  disableRipple
                  inputProps={{ 'aria-labelledby': labelId }}
                  />
              </ListItemIcon>
            </ListItemButton>
          </ListItem>
        );
      })}
    </List>
  );
}

export function Question({ quiz }) {
  let { instrucciondepregunta, id, respuestas } = quiz
  return (
    <Card sx={{ minWidth: 275, margin: 5 }}>
      <CardContent>

        <div sx={{ fontSize: 17 }}>
          <div className="quiz_title_text">
            <Avatar sx={{ bgcolor: deepPurple[500] }}>{id}</Avatar>
            <Typography style={{ paddingLeft: 15 }}>
              {instrucciondepregunta}
            </Typography>
          </div>
        </div>

        <div variant="body2">
          <CheckboxesGroup quiz={respuestas}/>
        </div>
      </CardContent>

      <CardActions>
        <Button size="small">Siguiente Pregunta</Button>
      </CardActions>

    </Card>
  );
}
