import React, { useMemo} from 'react'

import { Service } from '../../Utils/HTTP'
import useAuth from '../../Auth/useAuth.js';
import {Question} from '../../Components/Test/Cleaver/Question.jsx'


export function Cleaver() {

  let auth = useAuth();
  let token = useMemo(() => auth.getToken(), [auth])

  const [questions, setQuestions] = React.useState([]);
  React.useEffect(() => {
    let rest = new Service(`/prueba/findid/1`)
    rest.get(token.toString())
      .then(({data}) => { 
        setQuestions(data.questions.slice(0,3))
      })
      .catch( e => console.log("ERROR: ", e))
  }, [token]);

  return (
    <div className="content-section">
      <div className="main">
        { questions.map( (e,i) => (<Question key={i} quiz={e}/>) ) }
      </div>
    </div>
  )

}
